Index: code/branches/cegui0.8/data/gui/scripts/GUISheet.lua
===================================================================
--- code/branches/cegui0.8/data/gui/scripts/GUISheet.lua	(revision 11110)
+++ code/branches/cegui0.8/data/gui/scripts/GUISheet.lua	(revision 11118)
@@ -66,5 +66,5 @@
 function P:load()
     -- Load the layout that describes the sheet
-    self.window = winMgr:loadWindowLayout(self.name .. ".layout")
+    self.window = winMgr:loadLayoutFromFile(self.name .. ".layout")
     if self.window == nil then
         error("Could not load layout file for GUI sheet '"..self.name.."'")
Index: code/branches/cegui0.8/data/gui/scripts/InitialiseGUI.lua
===================================================================
--- code/branches/cegui0.8/data/gui/scripts/InitialiseGUI.lua	(revision 11110)
+++ code/branches/cegui0.8/data/gui/scripts/InitialiseGUI.lua	(revision 11118)
@@ -8,5 +8,5 @@
 -- Load all required skins
 --schemeMgr:create("TaharezGreenLook.scheme")
-schemeMgr:create(scheme .. "Look.scheme")
+schemeMgr:createFromFile(scheme .. "Look.scheme")
 --schemeMgr:create("TaharezLook.scheme")
 --schemeMgr:create("WindowsLook.scheme")
@@ -21,16 +21,16 @@
 --schemeMgr:create("TaharezGreenHUDWidgets.scheme")
 --hudImageSet = "TaharezGreenLook"
-schemeMgr:create(scheme .. "MenuWidgets.scheme")
+schemeMgr:createFromFile(scheme .. "MenuWidgets.scheme")
 menuImageSet = scheme .. "Look"
-schemeMgr:create(scheme .. "HUDWidgets.scheme")
+schemeMgr:createFromFile(scheme .. "HUDWidgets.scheme")
 hudImageSet = scheme .. "Look"
 
 -- Just a remaining test hack
-schemeMgr:create("OrxonoxGUIScheme.scheme")
+schemeMgr:createFromFile("OrxonoxGUIScheme.scheme")
 
-local system = CEGUI.System:getSingleton()
-system:setDefaultMouseCursor(menuImageSet, "MouseArrow")
+local system = CEGUI.System:getSingleton():getDefaultGUIContext()
+system:getMouseCursor():setDefaultImage(menuImageSet .. "/MouseArrow")
 system:setDefaultFont("BlueHighway-12")
-system:setDefaultTooltip("MenuWidgets/Tooltip")
+system:setDefaultTooltipType("MenuWidgets/Tooltip")
 
 -- Convenience function and additional tools
Index: code/branches/cegui0.8/data/gui/scripts/MainMenu.lua
===================================================================
--- code/branches/cegui0.8/data/gui/scripts/MainMenu.lua	(revision 11110)
+++ code/branches/cegui0.8/data/gui/scripts/MainMenu.lua	(revision 11118)
@@ -7,30 +7,30 @@
     --buttons are arranged in a 6x1 Matrix (list)
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/QuickGameTestButton"),
+            ["button"] = P.window:getChild("QuickGameTestButton"),
             ["callback"]  = P.QuickGameTestButton_clicked
     })
 
     P:setButton(2, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SingleplayerButton"),
+            ["button"] = P.window:getChild("SingleplayerButton"),
             ["callback"]  = P.SingleplayerButton_clicked
     })
 
     P:setButton(3, 1, {
-            ["button"] = winMgr:getWindow("orxonox/MultiplayerButton"),
+            ["button"] = P.window:getChild("MultiplayerButton"),
             ["callback"]  = P.MultiplayerButton_clicked
     })
 
     P:setButton(4, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SettingsButton"),
+            ["button"] = P.window:getChild("SettingsButton"),
             ["callback"]  = P.SettingsButton_clicked
     })
 
     P:setButton(5, 1, {
-            ["button"] = winMgr:getWindow("orxonox/CreditsButton"),
+            ["button"] = P.window:getChild("CreditsButton"),
             ["callback"]  = P.CreditsButton_clicked
     })
 
     P:setButton(6, 1, {
-            ["button"] = winMgr:getWindow("orxonox/ExitButton"),
+            ["button"] = P.window:getChild("ExitButton"),
             ["callback"]  = P.ExitButton_clicked
     })
Index: code/branches/cegui0.8/data/gui/scripts/SheetManager.lua
===================================================================
--- code/branches/cegui0.8/data/gui/scripts/SheetManager.lua	(revision 11110)
+++ code/branches/cegui0.8/data/gui/scripts/SheetManager.lua	(revision 11118)
@@ -1,5 +1,6 @@
 -- SheetManager.lua
 
-local cursor = CEGUI.MouseCursor:getSingleton()
+local cursor = CEGUI.System:getSingleton():getDefaultGUIContext():getMouseCursor()
+--local cursor = CEGUI.MouseCursor:getSingleton()
 local loadedSheets = {}
 local activeMenuSheets = {size = 0, topSheetTuple = nil}
@@ -107,5 +108,5 @@
 
     -- Add sheet to the root window
-    menuSheetsRoot:addChildWindow(menuSheet.window)
+    menuSheetsRoot:addChild(menuSheet.window)
 
     -- If sheet is the MainMenu
@@ -177,5 +178,5 @@
 
     -- Remove sheet with its tuple from the table
-    menuSheetsRoot:removeChildWindow(sheetTuple.sheet.window)
+    menuSheetsRoot:removeChild(sheetTuple.sheet.window)
     table.remove(activeMenuSheets, table.findIndex(activeMenuSheets, sheetTuple))
     activeMenuSheets[name] = nil
